
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: finalCraftStepsTypes.addInput) {
        return request('/api/finalcraftsteps/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: finalCraftStepsTypes.delInput) {
        return request(`/api/finalcraftsteps/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: finalCraftStepsTypes.updateInput) {
        return request('/api/finalcraftsteps/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/finalcraftsteps/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: finalCraftStepsTypes.queryParms) {
        return request('/api/finalcraftsteps/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: finalCraftStepsTypes.queryPage) {
        return request('/api/finalcraftsteps/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
     //根据批量更新步骤
     BatchUpdate(parms :finalCraftStepsTypes.updateInput[]){
        return request('/api/finalcraftsteps/batchupdate',{
            method: 'POST',
            data: parms
        })
    },
     //根据批量更新步骤
     Copyfinalcraftsteps(parms :finalCraftStepsTypes.CopyFinalCraftStepsInput){
        return request('/api/finalcraftsteps/copyfinalcraftsteps',{
            method: 'POST',
            data: parms
        })
    },
}

